%define majver %(echo %version | cut -d. -f1-2)
Name:          libgrantlee
Version:       5.3.1
Release:       1mamba
Summary:       A set of Free Software libraries written using the Qt framework
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/steveire/grantlee
Source:        https://github.com/steveire/grantlee.git/v%{version}/grantlee-%{version}.tar.bz2
#Source:        http://downloads.grantlee.org/grantlee-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END

%description
Grantlee is a set of Free Software libraries written using the Qt framework.
Currently two libraries are shipped with Grantlee: Grantlee Templates and Grantlee TextDocument.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Grantlee is a set of Free Software libraries written using the Qt framework.
Currently two libraries are shipped with Grantlee: Grantlee Templates and Grantlee TextDocument.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n grantlee-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libGrantlee_Templates.so.*
%{_libdir}/libGrantlee_TextDocument.so.*
%dir %{_libdir}/grantlee
%{_libdir}/grantlee/%{majver}
%{_libdir}/grantlee/%{majver}/grantlee_*.so
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%{_includedir}/grantlee_*.h
%dir %{_includedir}/grantlee
%{_includedir}/grantlee/*.h
%dir %{_libdir}/cmake/Grantlee5
%{_libdir}/cmake/Grantlee5/Grantlee5Config.cmake
%{_libdir}/cmake/Grantlee5/Grantlee5ConfigVersion.cmake
%{_libdir}/cmake/Grantlee5/GrantleeMacros.cmake
%{_libdir}/cmake/Grantlee5/GrantleeTargets-noconfig.cmake
%{_libdir}/cmake/Grantlee5/GrantleeTargets.cmake
%{_libdir}/libGrantlee_Templates.so
%{_libdir}/libGrantlee_TextDocument.so
#%doc README

%changelog
* Thu Apr 27 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.1-1mamba
- update to 5.3.1

* Mon Jul 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.0-2mamba
- rebuilt with debug package

* Mon Dec 23 2019 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Sun Aug 28 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.0-1mamba
- update to 5.1.0

* Sat Oct 11 2014 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic update by autodist

* Fri Nov 29 2013 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 0.2.0-1mamba
- automatic version update by autodist

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 0.1.9-1mamba
- automatic version update by autodist

* Thu Jan 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.8-1mamba
- package created by autospec
